DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageGetData

Get the data pointers of a set of images

## SYNOPSIS

dip_Error dip_ImageGetData( in, idp, iflags, out, odp, oflags, flags, resources )

## FUNCTION

Get the data pointers of a set of images. This function should not be called before the clean up of the previous invocation (by `ResourcesFree`) has been performed. Currently no clean up is required by `ImageGetData`, but any data pointers obtained by a previous call to this function should be considered invalid when calling this function. The `iflags`, `oflags`, and `flags` parameters are not used in the current version. These fields should be set to zero. The resources parameter is mandatory. Any of the image arrays' elements may be set to zero, indicating that it is to be ignored.

No functions that will possibly modify an image should be called after the call to `ImageGetData` and before its clean up. The proper time to call `ImageGetPlane` and `ImageGetStride` is right after the call to `ImageGetData`.

## ARGUMENTS

Data type | Name | Description
`dip_ImageArray` | `in` | Array of input images
`dip_VoidPointerArray *` | `idp` | Returns input data pointers
`dipf_ImageGetDataArray` | `iflags` | Flags for input images
`dip_ImageArray` | `out` | Array of output images
`dip_VoidPointerArray *` | `odp` | Returns output data pointers
`dipf_ImageGetDataArray` | `oflags` | Flags for output images
`dipf_ImageGetData` | `flags` | Flags for all images
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

The image structure

`ImageGetPlane`, `ImageGetStride`